# Node CLI Toolkit

This repository aims to create lightweight, clean, simple and type-safe Collection of tools for building functional cli's.

> [!NOTE]
> Currently under development

# Adding to your project

```bash
$ yarn add @codemaskjs/node-cli-toolkit
```

# Example

```typescript

import { parse } from '@codemaskjs/node-cli-toolkit'

const { args } = parse({
    // optionally you can pass here `argv`: Array<string> to override default process arguments
    args: {
        hello: {
            type: String, // supported types are: String, Number, Boolean, Date, Enum

        }
    }
})

console.log(`hello: ${args.hello}`)

```
